IP Phone 6921: downgrade from 9-0-3-0 to 8-5-3-0

Unanswered Question
Sep 15th, 2010
User Badges:

Hello,


we have some IP Phones 6921 with firmware 9-0-3-0 and we would like to downgrade their firmware to 8-5-3-0.


Although the TFTP server is correctly loaded with the 8-5-3-0 firmware files, the 6921 doesn't downgrade to it.


What's wrong?


If it isn't possible, is there a way to completely delete the firmware and download a new one on the 6921, similarly to what explained in the web page http://www.cisco.com/en/US/ts/fn/620/fn62949.html for 7906s and 7911s?


Thanks in advance for your help.


Best regards.

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
Joseph Martini Sat, 09/18/2010 - 14:53
User Badges:
  • Cisco Employee,

Did you remember to restart the TFTP service after you uploaded the firmware?  Also check under Device > Device Settings > Device Defaults and check what is listed there.  If it doesn't show your 8.5.3 firmware that is your problem.  If that's the case, I'd try and install the 8.5.3 firmware again so that the device default setting will change.

kusatija Sun, 09/19/2010 - 12:05
User Badges:
  • Silver, 250 points or more

Hello,


As 9-0-3 is not a signed firmware, you should  not have any issues.


I agree with Joe, check if the firmware 8-5-3 shows up in the device defaults or not.


Just a side question, why are we looking to downgrade the firmware?


Regards

Kunal

raziel78kain Wed, 09/22/2010 - 08:55
User Badges:

Hello,


we would like to downgrade to 8-5-3-0 because the 6921s, with 9-0-3-0 firmware, cant' get the correct locale (they remain in English, even if the locale on the CallManager is different).


Regards.

raziel78kain Wed, 09/22/2010 - 08:50
User Badges:

Hello,


we haven't restarted the TFTP service because the only firmware available for 6921s is 8-5-3-0 (the one present originally when we have installed the CallManager).


Moreover, the firmware listed in the "Device Default" section is 8-5-3-0, as expected.


Keep in mind that the "old" 6921s have succesfully upgraded to 8-5-3-0 (they had an older firmware); the problem is with the "new" 6921s, which have a 9-0-3-0 firmware, and they can't downgrade to 8-5-3-0.


Regards.

Matthew Kaufman Wed, 09/22/2010 - 11:07
User Badges:
  • Cisco Employee,

Once IP phones have been upgraded to a 9.0 firmware version they will not be able to be downgraded.  This is a limitation with the 9.0 firmware version.


--Matt

dijohn Wed, 09/22/2010 - 13:33
User Badges:
  • Cisco Employee,
Once you load an unsigned image, the next 
upgrade or downgrade has to be to a SIGNED Firmware image. 
For example
You have one 6921 on 9.0.2 unsigned FW, I would recommend you to upgrade all your new 6921s to 9.0.3(unsigned) and then once every 6921 is on unsigned **image, you can go ahead an load 9.0.3 *signed *and upgrade all of them together. Please note that a new 6921 runs 8.5.4 which needs to be upgraded to an *unsigned *image (9.0.2 or 9.0.3) first.

Could you please download appropriate locale files from from http://tools.cisco.com/squish/b81437

Here are some pointers on the locale install. Please note that Cisco Unified Communications Locale Installer *MUST* be installed on every Cisco Unified Communications Manager server in a cluster, starting with the publisher. After installation has completed, it is essential to reboot the platform in order for all user and network locale changes to become fully activated.(http://tools.cisco.com/squish/E792a ). If the previous download doesn't work, then try cm-locale-fr_FR-7.1.5.1000-1.cop.sgn(whichever locale you need) (http://tools.cisco.com/squish/a488F4) which has the FR locale for all the phones for CUCM 7.1.5. NOTE: * The full Cisco Unified Communications Locale Installer for Cisco Unified Communications Manager must be installed prior to installation of Phone Only locale.*(http://tools.cisco.com/squish/E8838 ). CUCM Locale installer file names start with *cm-locale*. and phone locale installer file names starts with *po-locale*. As per the information given by you, You have a locale issue with the 6921s. So try the po-locale first. If that doesn't work then try the cm-locale upgrade.

Please be aware that there is bug CSCtf40828 http://tools.cisco.com/Support/BugToolKit/search/getBugDetails.do?method=fetchBugDetails&bugId=CSCtf40828 which affects locale installs on 6921s on 9.0.2

My 2 cents

raziel78kain Thu, 09/23/2010 - 03:59
User Badges:

Hello,


thanks for your great answer!


I have 3 doubts/questions:


  1. You have written: "Once you load an unsigned image, the next upgrade or downgrade has to be to a SIGNED Firmware image" and "You have one 6921 on 9.0.2 unsigned FW, I would recommend you to upgrade all your new 6921s to 9.0.3(unsigned)". It seems that one phrase tells one thing and the other one the opposite... Which of them is correct?
  2. How can I understand if a 6921 has onboard a signed or unsigned firmware? Is it possible by the web interface of the phone?
  3. Are these upgrade paths correct?
    • Factory 8-5-3-0 (is it unsigned? See question 2) -> 9-0-2-0 (unsigned) -> 9-0-3-a (signed)
    • Factory 9-0-2-0 (is it unsigned? See question 2) -> 9-0-3-a (signed)


Thanks again and regards.

Actions

This Discussion